#include "config.hpp"
#include <gettext.h>
#include <gtkmm.h>
#include <locale.h>
#include "eiciel_main_window.hpp"
#include "eiciel_main_controler.hpp"

int main(int argc, char* argv[])
{
    // Coses relacionades amb gettext
#ifdef ENABLE_NLS
    setlocale(LC_ALL, "");
    bindtextdomain("eiciel", DATADIR "/locale");
    textdomain("eiciel");
    
    // Volem les traduccions en UTF-8 (independentment del
    // format usat per a traduir)
    bind_textdomain_codeset ("eiciel", "UTF-8");
#endif


    
	Gtk::Main kit(argc, argv);
	
	EicielMainControler ctrl;
	EicielWindow eiciel_win(&ctrl);

	Gtk::Main::run(eiciel_win);

	return 0;
}
